<%--
    biosig-id - Building Block to verify an individual's identity
    Copyright (C) 2013  BSI

    Version history:
      1.0.9  14-Jul-13  Added
      1.1.0  17-Feb-14  Added check for system setting to control deletion of gradbook column
--%>
<%@page import="blackboard.platform.persistence.PersistenceServiceFactory,
                blackboard.persist.BbPersistenceManager,
                blackboard.data.gradebook.Lineitem,
                blackboard.persist.gradebook.LineitemDbPersister,
                blackboard.platform.log.LogService.Verbosity,
                com.spvsoftwareproducts.blackboard.utils.B2Context,
                com.biosig_id.blackboard.Constants,
                com.biosig_id.blackboard.Gradebook,
                com.biosig_id.blackboard.Utils"
%>
<%
  B2Context b2Context = new B2Context(request);

  if (b2Context.getSetting(Constants.GRADEBOOK_PARAMETER, "false").equals("true")) {
    Utils.setLogger(b2Context);
    Utils.log(Verbosity.INFORMATION, "Entering remove.jsp");

    String courseId = b2Context.getRequestParameter(Constants.COURSE_ID_PARAM_NAME, "");
    String contentId = b2Context.getRequestParameter(Constants.CONTENT_ID_PARAM_NAME, "");

    Lineitem col = Gradebook.getColumn(courseId, contentId, true);
    if (col != null) {
      BbPersistenceManager bbPm = PersistenceServiceFactory.getInstance().getDbPersistenceManager();
      LineitemDbPersister lineitemdbpersister = (LineitemDbPersister) bbPm.getPersister(LineitemDbPersister.TYPE);
      lineitemdbpersister.deleteById(col.getId());
    }

    Utils.log(Verbosity.INFORMATION, "Exiting remove.jsp");
  }
%>