<%--
    biosig-id - Building Block to verify an individual's identity
    Copyright (C) 2011  BSI

    Version history:
      1.0.0  01-Aug-11  First release
      1.0.1  22-Aug-11
      1.0.2   3-Nov-11
      1.0.4  29-Jan-13
      1.0.6  16-Jun-13
      1.0.7  18-Jun-13
      1.0.8  27-Jun-13
      1.0.9  14-Jul-13
      1.1.0  17-Feb-14
--%>
<%@page import="blackboard.platform.log.LogService.Verbosity"%>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8"
      import="java.util.logging.Logger,
              java.util.logging.Level,
              java.io.PrintWriter,
              com.biosig_id.blackboard.Utils,
              com.spvsoftwareproducts.blackboard.utils.B2Context"
      isErrorPage="true" %>
<%@ taglib uri="/bbNG" prefix="bbNG" %>
<bbNG:genericPage>
<%
  B2Context b2Context = new B2Context(request);
  Utils.setLogger(b2Context);
  Utils.log(Verbosity.INFORMATION, "Entering error.jsp");

  boolean isError = true;
  String strException = "";
  try {
    strException = exception.getMessage();
  } catch (Exception e) {
    isError = false;
  }

  pageContext.setAttribute("bundle", b2Context.getResourceStrings());

  Utils.log(Verbosity.INFORMATION, "Exiting error.jsp");
%>
  <bbNG:pageHeader>
    <bbNG:pageTitleBar showTitleBar="true" title="${bundle['plugin.name']}: ${bundle['page.error.title']}"/>
  </bbNG:pageHeader>
  <bbNG:breadcrumbBar/>
<p>
${bundle['page.error.introduction']}
</p>
<!--//--><![CDATA[//><!--
<%
  if (isError) {
	  if (strException != null) {
		  out.println(strException);
		  B2Context.log(true, "error.jsp: " +  strException);
	  }
// now display a stack trace of the exception
    PrintWriter pw = new PrintWriter(out);
    exception.printStackTrace(pw);
  }
%>
//--><!]]>
  <bbNG:okButton />
</bbNG:genericPage>