<%--
    biosig-id - Building Block to a
    Copyright (C) 2020  BSI
--%>
<%@page import="blackboard.platform.log.LogService.Verbosity"%>
<%@page contentType="text/javascript" pageEncoding="UTF-8"
        import="blackboard.data.user.User,
				com.biosig_id.blackboard.Constants,
                com.spvsoftwareproducts.blackboard.utils.B2Context"
        errorPage="error.jsp"%>
<%
	B2Context b2Context = new B2Context(request);
	User user = b2Context.getContext().getUser();

	pageContext.setAttribute("bsi_biosighturl", b2Context.getSetting(Constants.BIOSIGHT_DOMAIN_PARAMETER, Constants.BIOSIGHT_DOMAIN_DEFAULT));
	pageContext.setAttribute("bsi_username", user.getEmailAddress());
%>

if (document.location.href.indexOf('assessment/take/') >= 0) {
	if (document.location.href.indexOf('?q1') >= 0) {
		localStorage.setItem('BioSightActive', true);
	}
	if (localStorage.getItem('BioSightActive') == 'true') {
		if (document.location.href.indexOf('launch.jsp') >= 0) {
			jQuery('body').append('<div id=\"biosight_info\" style=\"position: fixed; z-index: 9999; top: 10px; left: 150px; padding: 5px; background-image: linear-gradient(lightblue, steelblue); box-shadow: 0px 0px 0px 8px rgba(255, 255, 255, 0.5); border-radius: 2px; height: 55px; font-family: Arial; font-weight: bold; font-size: 14px; text-align: center; cursor: move;\">BioSight-ID&trade;: <i class=\"fa fa-eye fa-4x\" style=\"vertical-align: middle;\"></div>');

			function dragElement(elmnt) {
				var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
				function dragMouseDown(e) {
					e = e || window.event;
					e.preventDefault();
					pos3 = e.clientX;
					pos4 = e.clientY;
					document.onmouseup = closeDragElement;
					document.onmousemove = elementDrag;
				}
				function elementDrag(e) {
					e = e || window.event;
					e.preventDefault();
					pos1 = pos3 - e.clientX;
					pos2 = pos4 - e.clientY;
					pos3 = e.clientX;
					pos4 = e.clientY;
					elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
					elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
				}
				function closeDragElement() {
					document.onmouseup = null;
					document.onmousemove = null;
				}
				elmnt.onmousedown = dragMouseDown;
			}
			dragElement(document.getElementById("biosight_info"));
		}
		var biosight = function () {
			console.log('BioSight Loaded...');
			var rurl = 'https://${bsi_biosighturl}';
			biosightclient.findSession(rurl + '/biosight/findsession', '${bsi_username}', function (s) {
				if (s.status !== 'ok') {
					jQuery('#biosight_info i').css('color', 'orange');
				} else {
					var bs = biosightclient(rurl + '/bioSightHub', s.session
						, function (fail) {
							jQuery('#biosight_info i').css('color', 'red');
						}, function (ok) {
							jQuery('#biosight_info i').css('color', 'green');
						}, function (started) {
							jQuery('#biosight_info i').css('color', 'gray');
							if (document.location.href.indexOf('submitted.jsp') >= 0) {
								console.log('BioSight Stopped!');
								localStorage.removeItem('BioSightActive');
								jQuery('#biosight_info').remove();
								bs.stop();
							}
						}
					);
				}
			});
		};
		var waitForBioSight = function () {
			if (typeof biosightclient !== 'undefined') {
				biosight();
			} else {
				setTimeout(waitForBioSight, 100);
			}
		};
		waitForBioSight();
	}
}

