<%--
    biosig-id - Building Block to verify an individual's identity
    Copyright (C) 2013  BSI

    Version history:
      1.0.0  01-Aug-11  First release
      1.0.1  22-Aug-11
      1.0.2   3-Nov-11
      1.0.4  29-Jan-13  Added docType and contentType
      1.0.6  16-Jun-13
      1.0.7  18-Jun-13
      1.0.8  27-Jun-13
      1.0.9  14-Jul-13
      1.1.0  17-Feb-14
--%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%@page contentType="text/html" pageEncoding="UTF-8"
        import="com.spvsoftwareproducts.blackboard.utils.B2Context,
                com.biosig_id.blackboard.Constants"
        isErrorPage="true" %>
<%@taglib uri="/bbNG" prefix="bbNG" %>
<bbNG:learningSystemPage>
<%
  B2Context b2Context = new B2Context(request);
  pageContext.setAttribute("bundle", b2Context.getResourceStrings());
%>
  <bbNG:pageHeader>
    <bbNG:pageTitleBar showTitleBar="true" title="${bundle['plugin.name']}: ${bundle['page.error.title']}"/>
  </bbNG:pageHeader>
  <bbNG:breadcrumbBar/>
<p>
${bundle['page.error.message']}
</p>
</bbNG:learningSystemPage>
