<%--
    biosig-id - Building Block to verify an individual's identity
    Copyright (C) 2013  BSI

    Version history:
      2.0.0  11-Jan-15  Added to project
--%>
<%@page contentType="application/json" pageEncoding="UTF-8"
        import="com.google.gson.JsonObject,
                com.spvsoftwareproducts.blackboard.utils.B2Context"
        errorPage="../error.jsp"%>
<%
  B2Context b2Context = new B2Context(request);

  String contentId = b2Context.getRequestParameter("contentid", null);
  String enable = b2Context.getRequestParameter("set", null);

  boolean ok = (contentId != null) && (enable != null) && (enable.equals("true") || enable.equals("false"));

  JsonObject json = new JsonObject();
  if (ok) {
    b2Context.setSetting(false, true, contentId, enable);
    b2Context.persistSettings(false, true);
    json.addProperty("response", "Success");
  } else {
    json.addProperty("response", "Fail");
    json.addProperty("reason", b2Context.getResourceString("page.render.invalid"));
  }

  response.getWriter().println(json.toString());
%>
