<%--
    biosig-id - Building Block to verify an individual's identity
    Copyright (C) 2015  BSI

    Version history:
      2.0.0  11-Jan-15  Added to project
--%>
<%@page contentType="text/javascript" pageEncoding="UTF-8"
        import="com.biosig_id.blackboard.Constants,
                com.spvsoftwareproducts.blackboard.utils.B2Context"
        errorPage="error.jsp"%>
<%
  B2Context b2Context = new B2Context(request);

  pageContext.setAttribute("title", b2Context.getResourceString("plugin.name"));
  pageContext.setAttribute("vendor", b2Context.getVendorId());
  pageContext.setAttribute("handle", b2Context.getHandle());
  pageContext.setAttribute("path", b2Context.getPath());
%>
function ${vendor}_idCheck(event, mode) {
  var url = window.location.href;
  var query = '?';
  var p = url.indexOf('?');
  if (p >= 0) {
    query = url.substr(p);
    p = query.indexOf('#');
    if (p >= 0) {
      query = query.substr(0, p);
    }
    query += '&';
  }
  query += 'idmode=' + mode;
  url = '${path}redirect.jsp' + query;
  var dimensions = document.viewport.getDimensions();
  var width = Math.min(Math.round(dimensions.width * 0.9), 920);
  var height = Math.min(Math.round(dimensions.height * 0.9), 650);
  var el_if = document.getElementById('${vendor}-${handle}-overlay');
  var bsi_lbParam = {
    defaultDimensions : { w : width, h : height },
    title : '${title}',
    openLink : el_if,
    contents : '<iframe src="' + url + '" width="100%" height="' + height + '" />',
    closeOnBodyClick : false,
    showCloseLink : true,
    useDefaultDimensionsAsMinimumSize : true,
    ajax: false
  };
  var bsi_lightbox = new lightbox.Lightbox(bsi_lbParam);
  bsi_lightbox.open();
  event.stop();
}
