<%--
    biosig-id - Building Block to verify an individual's identity
    Copyright (C) 2015  BSI

    Version history:
      2.0.0  29-Sep-15  Added to project
--%>
<%@page import="blackboard.platform.log.LogService.Verbosity"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%@page contentType="text/html" pageEncoding="UTF-8"
        import="blackboard.platform.session.BbSession,
                blackboard.platform.session.BbSessionManagerServiceFactory,
                blackboard.persist.PersistenceException,
                com.biosig_id.blackboard.Utils,
                com.spvsoftwareproducts.blackboard.utils.B2Context" %>
<%@taglib uri="/bbNG" prefix="bbNG" %>
<%
  B2Context b2Context = new B2Context(request);

  String question = b2Context.getRequestParameter("question", "");

  String name = b2Context.getVendorId() + "-" + b2Context.getHandle() + "-" + "question";
  try {
    BbSession bbSession = BbSessionManagerServiceFactory.getInstance().getSession(b2Context.getRequest());
    bbSession.removeGlobalKey(name);
  } catch (PersistenceException e) {
    Utils.log(Verbosity.ERROR, "jump.jsp: " + e.getMessage());
  }

  pageContext.setAttribute("bundle", b2Context.getResourceStrings());
  pageContext.setAttribute("question", question);
%>
<html>
<head>
<title>${bundle['plugin.name']}</title>
<script language="javascript" type="text/javascript">
//<![CDATA[
function doOnLoad() {
  parent.jumpTo('${question}');
  window.close();
}
window.onload=doOnLoad;
//]]>
</script>
</head>
<body>
</body>
</html>
